import util from '@/util'

const isHh = location.host.includes('10.196.131.73') //是否是河海版本
const isBeta = process.env.NODE_ENV === 'development' || location.host.includes('39.108.250.202') //是否是职站测试

let host = location.origin + ':9000/'
// 39.108.250.202 | 192.168.31.151
if (process.env.NODE_ENV === 'development') host = 'http://39.108.250.202:9000/'
const systemId = util.getCookie('systemId')
/**
 * python8个系统的id和名称
 * id即systemId，从cookie里取
 */
const pythonList = [
    {
        id: 1,
        name: 'Python程序设计教学系统'
    },
    {
        id: 4,
        name: '经济金融建模实验教学系统'
    },
    {
        id: 5,
        name: 'Python数据可视化实验教学系统'
    },
    {
        id: 6,
        name: '金融随机过程实验教学系统'
    },
    {
        id: 7,
        name: '量化投资策略建模实验教学系统'
    },
    {
        id: 8,
        name: '大数据分析实验教学系统'
    },
    {
        id: 9,
        name: 'Python数据清洗教学实验系统'
    },
    {
        id: 10,
        name: 'Python数据采集（爬虫）教学实验系统'
    }
]
export default {
    /**
     * @description 域名
     */
    host,
    /**
      * @description 是否是河海版本
      */
    isHh,
    /**
     * @description 是否是开发/测试版本
     */
    isBeta,
    /**
     * @description 系统主题色
     */
    defaultSystem: systemId.includes(',') ? 7 : systemId,
    /**
     * python子系统
     **/
    pythonList,
    /**
     * @description 长时间未操作，自动退出登录时间
     */
    autoLogoutTime: 3600000
}